commit: 0eda2b96089a6bb0d76b658569c1dc7cf952bce1
Author: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 13 11:59:05 2026 +0000
Commit: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Fri Mar 13 11:59:05 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0eda2b96
net-im/discord: add 0.0.128
Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>
net-im/discord/Manifest | 1 +
net-im/discord/discord-0.0.128.ebuild | 164 ++++++++++++++++++++++++++++++++++
2 files changed, 165 insertions(+)
diff --git a/net-im/discord/Manifest b/net-im/discord/Manifest
index 830c36984d36..2f7154394c85 100644
--- a/net-im/discord/Manifest
+++ b/net-im/discord/Manifest
@@ -1,4 +1,5 @@
DIST discord-0.0.123.tar.gz 108678631 BLAKE2B
f4ba17fa78efc12b060a76ecabf4ecdfe1075d1e054285078647149937d6d165c8252e875064761c4c9bedabf1fee1784b988f0ad68b400356a71fa0017ebe74
SHA512
00363fb7feba38a8cb75136535c9c721e2b8b3c1251ea3db36517cd5a87f023733cb877a1b65478002189b0325bebfbe001448fabb6281b1e481da9b5f647ada
DIST discord-0.0.126.tar.gz 108155261 BLAKE2B
4d188ee56d23350243b251ec1466178c8e3af62b1dc03733d7e7d1dfd950f387619dd17c6ddd9dbd421a0bcfefcf52313ac948c88103439af966d30a05fbaae0
SHA512
0ce28b4ddb69c4963e218fc07dc4fdb96f16175e532a607ec14d7f1a670de3ab167da79f7538eda305d3f8318b0333f898e0d88d713f308cf99d0f54e9c3874c
DIST discord-0.0.127.tar.gz 108161599 BLAKE2B
747951beac5d21880c0e0875e4d749e192433c5ee080b3f7103e49173b8ff5ea701db66fa1097aa35e8bc629ae8a9e16d985fa653f6a8ac4482423a7fb0a168f
SHA512
dc682a4170547a53a0f8b1ecedba07c179bd23b4645b96ca8ae4dec3ca3a226ee978ab44bcc0522bb480169c4d2859d98b5ad5729647887b2c48f98b1be2a0d5
+DIST discord-0.0.128.tar.gz 108159426 BLAKE2B
f98ac1e830c90f9965ae803b5246e2e02945d49332c8db750669ad0ea56a9ba8f5163eb82c3eac974d5a411dc2ece3d7b346698233c641007501a9a6c38718f6
SHA512
9542a29cb0c9fdb33dd920553b8981211a86de4f0b4e84156898131e313cfb795d7f2f42e2b01730e26057c83b44c96c678b3ec74ef63790d909ff37578911be
DIST
discord-disable-breaking-updates-2f26748a667045d26bc19841f1a731b4be7a7514.py
1299 BLAKE2B
b6c923c450a28405e2a439e0d1b8a83e01e0536c62095fafbae74612aa4e891df733aa13999ce6a8be3618fd14e154aec802aa4ee21aad1303b05626ffd23314
SHA512
a7ef493a216c71a5b02685cff6866bfc3940aaf9cdc73b58859c962d0d33b613349289ef7027359f184f42dddaed486b84f6d85b9023ab8530ab7ba66431c3c7
diff --git a/net-im/discord/discord-0.0.128.ebuild
b/net-im/discord/discord-0.0.128.ebuild
new file mode 100644
index 000000000000..13a8e823c5cc
--- /dev/null
+++ b/net-im/discord/discord-0.0.128.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="${PN/-bin/}"
+MY_PV="${PV/-r*/}"
+
+CHROMIUM_LANGS="
+ af am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu
he hi
+ hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr
sv
+ sw ta te th tr uk ur vi zh-CN zh-TW
+"
+PYTHON_COMPAT=( python3_{11..14} )
+UPDATE_DISABLER_COMMIT="2f26748a667045d26bc19841f1a731b4be7a7514"
+
+inherit chromium-2 desktop linux-info optfeature python-single-r1 unpacker xdg
+
+DESCRIPTION="All-in-one voice and text chat for gamers"
+HOMEPAGE="https://discord.com/"
+SRC_URI="
+ https://dl.discordapp.net/apps/linux/${MY_PV}/${MY_PN}-${MY_PV}.tar.gz
+
https://github.com/flathub/com.discordapp.Discord/raw/${UPDATE_DISABLER_COMMIT}/disable-breaking-updates.py
+ -> discord-disable-breaking-updates-${UPDATE_DISABLER_COMMIT}.py
+"
+S="${WORKDIR}/${MY_PN^}"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="amd64"
+
+IUSE="appindicator +seccomp wayland"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="bindist mirror strip test"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=app-accessibility/at-spi2-core-2.46.0:2
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/mesa[gbm(+)]
+ net-print/cups
+ sys-apps/dbus
+ sys-apps/util-linux
+ sys-libs/glibc
+ x11-libs/cairo
+ x11-libs/libdrm
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-libs/libxshmfence
+ x11-libs/pango
+ appindicator? ( dev-libs/libayatana-appindicator )
+"
+
+DESTDIR="/opt/${MY_PN}"
+
+QA_PREBUILT="*"
+
+CONFIG_CHECK="~USER_NS"
+
+src_unpack() {
+ unpack ${MY_PN}-${MY_PV}.tar.gz
+}
+
+src_configure() {
+ default
+ chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+ default
+ # remove post-install script
+ rm postinst.sh || die "the removal of the unneeded post-install script
failed"
+ # cleanup languages
+ pushd "locales/" >/dev/null || die "location change for language
cleanup failed"
+ chromium_remove_language_paks
+ popd >/dev/null || die "location reset for language cleanup failed"
+
+ # fix .desktop exec location
+ sed --in-place --expression
"/^Exec=/s:/usr/share/discord/Discord:/usr/bin/${MY_PN}:" \
+ "${MY_PN}.desktop" ||
+ die "fixing of exec location on .desktop failed"
+
+ # Update exec location in launcher
+ sed --expression "s:@@DESTDIR@@:${DESTDIR}:" \
+ "${FILESDIR}/launcher-r1.sh" > "${T}/launcher.sh" || die
"updating of exec location in launcher failed"
+
+ # USE seccomp in launcher
+ if use seccomp; then
+ sed --in-place --expression '/^EBUILD_SECCOMP=/s/false/true/' \
+ "${T}/launcher.sh" || die "sed failed for seccomp"
+ fi
+
+ # USE wayland in launcher
+ if use wayland; then
+ sed --in-place --expression '/^EBUILD_WAYLAND=/s/false/true/' \
+ "${T}/launcher.sh" || die "sed failed for wayland"
+ fi
+}
+
+src_install() {
+ doicon -s 256 "${MY_PN}.png"
+
+ # install .desktop file
+ domenu "${MY_PN}.desktop"
+
+ exeinto "${DESTDIR}"
+
+ doexe "${MY_PN^}" chrome-sandbox libEGL.so libffmpeg.so libGLESv2.so
libvk_swiftshader.so
+
+ insinto "${DESTDIR}"
+ doins chrome_100_percent.pak chrome_200_percent.pak icudtl.dat
resources.pak snapshot_blob.bin v8_context_snapshot.bin
+ insopts -m0755
+ doins -r locales resources
+
+ # Chrome-sandbox requires the setuid bit to be specifically set.
+ # see https://github.com/electron/electron/issues/17972
+ fowners root "${DESTDIR}/chrome-sandbox"
+ fperms 4711 "${DESTDIR}/chrome-sandbox"
+
+ # Crashpad is included in the package once in a while and when it does,
it must be installed.
+ # See #903616 and #890595
+ [[ -x chrome_crashpad_handler ]] && doins chrome_crashpad_handler
+
+ # https://bugs.gentoo.org/905289
+ newins
"${DISTDIR}/discord-disable-breaking-updates-${UPDATE_DISABLER_COMMIT}.py"
disable-breaking-updates.py
+ python_fix_shebang "${ED}/${DESTDIR}/disable-breaking-updates.py"
+
+ exeinto "/usr/bin"
+ newexe "${T}/launcher.sh" "discord" || die "failing to install launcher"
+
+ # https://bugs.gentoo.org/898912
+ if use appindicator; then
+ dosym ../../usr/lib64/libayatana-appindicator3.so
/opt/discord/libappindicator3.so
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature_header "Install the following packages for additional
support:"
+ optfeature "sound support" \
+ media-sound/pulseaudio media-sound/apulse[sdk]
media-video/pipewire
+ optfeature "emoji support" media-fonts/noto-emoji
+ if has_version kde-plasma/kwin[-screencast] && use wayland; then
+ einfo " "
+ einfo "When using KWin on Wayland, the
kde-plasma/kwin[screencast] USE flag"
+ einfo "must be enabled for screensharing."
+ einfo " "
+ fi
+}